import * as tslib_1 from "tslib";
import React from "react";
import classNames from "classnames";
import { useControll } from "utils-hooks";
export var Switch = React.forwardRef(function (props, ref) {
    var _a;
    var _b = props.prefixCls, prefixCls = _b === void 0 ? "xy-switch" : _b, className = props.className, style = props.style, defaultChecked = props.defaultChecked, checkedChildren = props.checkedChildren, unCheckedChildren = props.unCheckedChildren, checked = props.checked, value = props.value, onChange = props.onChange, rest = tslib_1.__rest(props, ["prefixCls", "className", "style", "defaultChecked", "checkedChildren", "unCheckedChildren", "checked", "value", "onChange"]);
    var _c = useControll(props, "checked", "defaultChecked"), checkd = _c[0], setChecked = _c[1], isControll = _c[2];
    var classString = classNames(prefixCls, className, (_a = {},
        _a[prefixCls + "-checked"] = checkd,
        _a[prefixCls + "-disabled"] = props.disabled,
        _a[prefixCls + "-readonly"] = props.readOnly,
        _a));
    var inputProps = tslib_1.__assign({}, rest, { type: "checkbox", role: "switch", "aria-checked": checkd, "aria-disabled": props.disabled || props.readOnly, className: prefixCls + "-input", onChange: handleCheckChange });
    if (isControll) {
        inputProps["checked"] = checkd || false;
    }
    else {
        inputProps["defaultChecked"] = defaultChecked;
    }
    function doSetChecked(ck) {
        if (props.disabled || props.readOnly) {
            return;
        }
        if (!isControll) {
            // 非受控组件将当前checked作为唯一数据源
            setChecked(ck);
        }
        if (props.onChange) {
            props.onChange(ck);
        }
    }
    function handleCheckChange(e) {
        doSetChecked(e.target.checked);
    }
    return (React.createElement("span", { className: classString, style: style, ref: ref },
        React.createElement("span", { className: prefixCls + "-inner" }, checkd ? checkedChildren : unCheckedChildren),
        React.createElement("input", tslib_1.__assign({}, inputProps, { value: value || "" }))));
});
export default React.memo(Switch);
//# sourceMappingURL=index.js.map